org.bdgenomics.adam.io

# FastqRecordReader

###
Related Doc: package io

#### abstract class FastqRecordReader extends RecordReader[Void, Text]

Linear Supertypes
RecordReader[Void, Text], Closeable, AutoCloseable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. FastqRecordReader
2. RecordReader
3. Closeable
4. AutoCloseable
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new FastqRecordReader(conf: Configuration, split: FileSplit)

   Attributes
     protected[org.bdgenomics.adam.io]

### Abstract Value Members

1. #### abstract def checkBuffer(bufferLength: Int, buffer: Text): Boolean

   Attributes
     protected[org.bdgenomics.adam.io]

2. #### abstract def next(value: Text): Boolean

   Attributes
     protected[org.bdgenomics.adam.io]

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def close(): Unit

   Definition Classes
     FastqRecordReader → RecordReader → Closeable → AutoCloseable

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### final def getCurrentKey(): Void

    Definition Classes
      FastqRecordReader → RecordReader

12. #### final def getCurrentValue(): Text

    Definition Classes
      FastqRecordReader → RecordReader

13. #### final def getProgress(): Float

    Definition Classes
      FastqRecordReader → RecordReader

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### final def initialize(split: InputSplit, context: TaskAttemptContext): Unit

    Definition Classes
      FastqRecordReader → RecordReader

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### final def lowLevelFastqRead(readName: Text, value: Text): Boolean

    Attributes
      protected[org.bdgenomics.adam.io]

18. #### final def makePositionMessage(): String

    Attributes
      protected[org.bdgenomics.adam.io]

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### final def nextKeyValue(): Boolean

    Definition Classes
      FastqRecordReader → RecordReader

21. #### final def notify(): Unit

    Definition Classes
      AnyRef

22. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

23. #### final def positionAtFirstRecord(stream: FSDataInputStream, codec: CompressionCodec): Int

    Attributes
      protected[org.bdgenomics.adam.io]

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### def toString(): String

    Definition Classes
      AnyRef → Any

26. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from RecordReader[Void, Text]

### Inherited from Closeable

### Inherited from AutoCloseable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped